apiVersion: tekton.dev/v1
kind: Task
metadata:
  annotations:
    artifacthub.io/category: integration-delivery
    artifacthub.io/maintainers: |
      - name: OpenShift Pipeline task maintainers
        email: pipelines-extcomm@redhat.com
    artifacthub.io/provider: Red Hat
    artifacthub.io/recommendations: |
      - url: https://tekton.dev/
    operator.tekton.dev/last-applied-hash: a9d6c11f6ec4cb279433f4644a871b617bba07c988a6c1f4db5c69350875fbcc
    tekton.dev/displayName: CLI
    tekton.dev/pipelines.minVersion: 0.17.0
    tekton.dev/source: https://github.com/openshift-pipelines/task-openshift
    tekton.dev/tags: cli
  creationTimestamp: "2024-06-10T13:45:47Z"
  generation: 1
  labels:
    app.kubernetes.io/version: 0.1.0
    operator.tekton.dev/operand-name: openshift-pipelines-addons
    operator.tekton.dev/provider-type: redhat
  name: kn
  namespace: openshift-pipelines
  ownerReferences:
  - apiVersion: operator.tekton.dev/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: TektonInstallerSet
    name: addon-custom-resolvertask-4w7k4
    uid: 44cc2eb3-48d8-4e6c-82ef-203759a9a88b
  resourceVersion: "38835"
  uid: 56da6ec9-5c0d-4330-94dd-cf512d162c6f
spec:
  description: This Task performs operations on Knative resources (services, revisions,
    routes) using kn CLI
  params:
  - default:
    - help
    description: kn CLI arguments to run
    name: ARGS
    type: array
  steps:
  - args:
    - $(params.ARGS)
    command:
    - /ko-app/kn
    computeResources: {}
    env:
    - name: HOME
      value: /tekton/home
    image: registry.redhat.io/openshift-serverless-1/client-kn-rhel8:1.9.2-4
    name: kn
    securityContext:
      runAsNonRoot: true
      runAsUser: 65532
